Name:             python-junitxml
Version:          0.7
Release:          17
Summary:          Python unittest TestResult that outputs JUnit compatible XML
License:          LGPLv3
URL:              https://launchpad.net/pyjunitxml
Source0:          https://pypi.python.org/packages/source/j/junitxml/junitxml-%{version}.tar.gz
BuildArch:        noarch
BuildRequires:    python2-devel

%description
A Python unittest TestResult that outputs JUnit compatible
XML.

%package -n       python2-junitxml
Summary:          Python unittest TestResult that outputs JUnit compatible XML
%{?python_provide:%python_provide python2-junitxml}

%description -n   python2-junitxml
A Python unittest TestResult that outputs JUnit compatible
XML.

%package -n       python3-junitxml
Summary:          Python unittest TestResult that outputs JUnit compatible XML
BuildRequires:    python3-devel

%description -n   python3-junitxml
A Python unittest TestResult that outputs JUnit compatible
XML.

%prep
%autosetup -n junitxml-%{version} -p1
rm -rf %{py3dir};cp -a . %{py3dir}

%build
%{__python2} setup.py build
cd %{py3dir};%{__python3} setup.py build;cd -

%install
cd %{py3dir};%{__python3} setup.py install --skip-build --root %{buildroot};cd -
mv %{buildroot}%{_bindir}/pyjunitxml %{buildroot}%{_bindir}/pyjunitxml-%{python3_version}
ln -s ./pyjunitxml-%{python3_version} %{buildroot}%{_bindir}/pyjunitxml-3

%{__python2} setup.py install --skip-build --root %{buildroot}
mv %{buildroot}%{_bindir}/pyjunitxml %{buildroot}%{_bindir}/pyjunitxml-%{python2_version}
ln -s ./pyjunitxml-%{python2_version} %{buildroot}%{_bindir}/pyjunitxml-2
ln -s ./pyjunitxml-2 %{buildroot}%{_bindir}/pyjunitxml

%files -n python2-junitxml
%{_bindir}/{pyjunitxml,pyjunitxml-2}
%{_bindir}/pyjunitxml-%{python2_version}
%{python2_sitelib}/*
%doc COPYING

%files -n python3-junitxml
%{_bindir}/pyjunitxml-3
%{_bindir}/pyjunitxml-%{python3_version}
%{python3_sitelib}/*
%doc COPYING

%changelog
* Mon Mar 9 2020 likexin <likexin4@huawei.com> - 0.7-17
- package init
